## NAME

r.carve - Generates stream channels.
Takes vector stream data, transforms it to raster and subtracts depth from the output DEM.

## KEYWORDS

raster, hydrology

## SYNOPSIS

r.carve
r.carve help
r.carve [-nq] rast=name vect=name output=name [points=name] [width=float] [depth=float] [--overwrite] [--verbose] [--quiet]

### Flags:

-n
  No flat areas allowed in flow direction
-q
  Run quietly
--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

rast=name
  Name of input raster elevation map
vect=name
  Name of input vector map containing stream(s)
output=name
  Name for output raster map
points=name
  Name for output vector map for adjusted stream points
width=float
  Stream width (in meters)
  Default is raster cell width
depth=float
  Additional stream depth (in meters)

## DESCRIPTION

r.carve accepts vector stream data as input, transforms them to raster, and subtracts a defaultdepth+additionaldepth from a DEM. If the given width is more than 1 cell, it will carve the stream with the given width. With the -n flag it should eliminate all flat cells within the stream, so when and if the water gets into the stream it will flow. The points option generates x,y,z for points which define the stream with the z-value of the bottom of the carved-in stream. These points can then be combined with contours to interpolate a new DEM with better representation of valleys.

## NOTE

r.carve does not create a depressionless DEM because many depressions are in flat areas and not in the streams.

## EXAMPLE

    g.region rast=elevation.10m -p
    r.carve rast=elevation.10m vect=streams out=carve_dem width=20 depth=5

## BUGS

The module does not operate yet in latitude-longitude locations. It has not been thoroughly tested, so not all options may work properly - but this was the intention.

## REFERENCES

Terrain modeling and Soil Erosion Simulations for Fort Hood and Fort Polk test areas, by Helena Mitasova, Lubos Mitas, William M. Brown, Douglas M. Johnston, GMSL (Report for CERL 1999)

## SEE ALSO

r.flow, r.fill.dir, r.watershed

## AUTHOR

Bill Brown (GMSL)
GRASS 6 update: Brad Douglas

Last changed: $Date: 2014-03-15 15:28:47 +0100 (so, 15 III 2014) $

Main index - raster index - Full index

© 2003-2014 GRASS Development Team